import { CvuCalculationTemplate } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class CvuCalculationTemplateService extends CRUDService<CvuCalculationTemplate> {
    protected hasOneModels: ICrudService<CvuCalculationTemplate>['hasOneModels'];
    validateName: (name: string) => Promise<boolean>;
    get create(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<CvuCalculationTemplate>, import("../../..").ModelWithId>> & Omit<import("../API").CvuCalculationTemplateInput, import("../core").HasOneRelationsOf<CvuCalculationTemplate>>, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateCreateOneMutation, import("../API").Exact<{
        input: import("../API").CvuCalculationTemplateInput;
    }>>>) => Promise<{
        __typename?: "CvuCalculationTemplate";
        id: string;
        state?: import("../API").CvuState;
        name?: string;
        description?: string;
        units?: string;
        organizationID: string;
        cvuCount: number;
        completeCvuCount: number;
        avgPercentValue: number;
        created_at: any;
        updated_at: any;
        cvuUnitPrice?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        contractedAmountProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        currentUtilizationProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateCreateOneMutation, import("../API").Exact<{
        input: import("../API").CvuCalculationTemplateInput;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateCreateOneMutation, import("../API").Exact<{
        input: import("../API").CvuCalculationTemplateInput;
    }>>, CvuCalculationTemplate>) => Promise<{
        __typename?: "CvuCalculationTemplate";
        id: string;
        state?: import("../API").CvuState;
        name?: string;
        description?: string;
        units?: string;
        organizationID: string;
        cvuCount: number;
        completeCvuCount: number;
        avgPercentValue: number;
        created_at: any;
        updated_at: any;
        cvuUnitPrice?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        contractedAmountProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        currentUtilizationProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../..").ModelWithId;
    }>];
    get update(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<CvuCalculationTemplate>, import("../../..").ModelWithId>> & Omit<import("../API").CvuCalculationTemplateInput, import("../core").HasOneRelationsOf<CvuCalculationTemplate>> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneCvuCalculationTemplateInput;
    }>>>) => Promise<{
        __typename?: "CvuCalculationTemplate";
        id: string;
        state?: import("../API").CvuState;
        name?: string;
        description?: string;
        units?: string;
        organizationID: string;
        cvuCount: number;
        completeCvuCount: number;
        avgPercentValue: number;
        created_at: any;
        updated_at: any;
        cvuUnitPrice?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        contractedAmountProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        currentUtilizationProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneCvuCalculationTemplateInput;
    }>>>>) => [({ id, ...input }: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<CvuCalculationTemplate>, import("../../..").ModelWithId>> & import("../API").CvuCalculationTemplateInput & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneCvuCalculationTemplateInput;
    }>>>>) => Promise<Record<string, unknown>>, import("@apollo/client").MutationResult<{
        updateOne: Record<string, unknown>;
    }>];
    get delete(): (id: string, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneCvuCalculationTemplateInput;
    }>>>) => Promise<{
        __typename?: "CvuCalculationTemplateDeleteResponse";
        id?: string;
    }>;
    get useDelete(): (options?: import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneCvuCalculationTemplateInput;
    }>>>) => [(id?: string) => Promise<{
        __typename?: "CvuCalculationTemplateDeleteResponse";
        id?: string;
    }>, import("@apollo/client").MutationResult<import("../API").CvuCalculationTemplateDeleteOneMutation>];
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").CvuCalculationTemplateFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateListQuery, import("../API").Exact<{
        filter?: import("../API").CvuCalculationTemplateFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
    }>>>) => Promise<{
        __typename?: "CvuCalculationTemplateConnection";
        totalCount: number;
        edges: {
            __typename?: "CvuCalculationTemplateEdge";
            cursor: any;
            node: {
                __typename?: "CvuCalculationTemplate";
                id: string;
                state?: import("../API").CvuState;
                name?: string;
                description?: string;
                units?: string;
                organizationID: string;
                cvuCount: number;
                completeCvuCount: number;
                avgPercentValue: number;
                created_at: any;
                updated_at: any;
                cvuUnitPrice?: {
                    __typename?: "PropertyMap";
                    id: string;
                    name: string;
                    parlorKey?: string;
                    objectType: import("../API").PropertyType;
                };
                contractedAmountProperty?: {
                    __typename?: "PropertyMap";
                    id: string;
                    name: string;
                    parlorKey?: string;
                    objectType: import("../API").PropertyType;
                };
                currentUtilizationProperty?: {
                    __typename?: "PropertyMap";
                    id: string;
                    name: string;
                    parlorKey?: string;
                    objectType: import("../API").PropertyType;
                };
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateListQuery, import("../API").Exact<{
        filter?: import("../API").CvuCalculationTemplateFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").CvuCalculationTemplateListQuery, import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>>;
        data: import("../API").CvuCalculationTemplateListQuery;
        previousData?: import("../API").CvuCalculationTemplateListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").CvuCalculationTemplateListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").CvuCalculationTemplateListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>>(mapFn: (previousQueryResult: import("../API").CvuCalculationTemplateListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").CvuCalculationTemplateListQuery>, "variables">) => import("../API").CvuCalculationTemplateListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").CvuCalculationTemplateListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>, import("../API").CvuCalculationTemplateListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").CvuCalculationTemplateListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>;
        fetchMore: <TFetchData = import("../API").CvuCalculationTemplateListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").CvuCalculationTemplateFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CvuCalculationTemplateSort | import("../API").CvuCalculationTemplateSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").CvuCalculationTemplateListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").CvuCalculationTemplateListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").CvuCalculationTemplateGetQuery>, "query">) => Promise<{
        __typename?: "CvuCalculationTemplate";
        id: string;
        state?: import("../API").CvuState;
        name?: string;
        description?: string;
        units?: string;
        organizationID: string;
        cvuCount: number;
        completeCvuCount: number;
        avgPercentValue: number;
        created_at: any;
        updated_at: any;
        cvuUnitPrice?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        contractedAmountProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
        currentUtilizationProperty?: {
            __typename?: "PropertyMap";
            id: string;
            name: string;
            parlorKey?: string;
            objectType: import("../API").PropertyType;
        };
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CvuCalculationTemplateGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").CvuCalculationTemplateGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").CvuCalculationTemplateGetQuery;
        previousData?: import("../API").CvuCalculationTemplateGetQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").CvuCalculationTemplateGetQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").CvuCalculationTemplateGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").CvuCalculationTemplateGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").CvuCalculationTemplateGetQuery>, "variables">) => import("../API").CvuCalculationTemplateGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").CvuCalculationTemplateGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").CvuCalculationTemplateGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").CvuCalculationTemplateGetQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").CvuCalculationTemplateGetQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").CvuCalculationTemplateGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").CvuCalculationTemplateGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
